<?php
/*
Plugin Name: Google Friend Connect Integration
Plugin URI: http://www.socialarrow.com
Description: Easily integrate Google Friend Connect with Wordpress.  To get started, please enter your GFC Site Id number in the GFC Integration <a href="/wp-admin/options-general.php?page=google-friend-connect-integration/gfcintegration.php">Admin Page</a>, then add your gadgets by visiting the <a href="/wp-admin/widgets.php">Widgets Page</a>.  For help and support see the official <a href="http://www.socialarrow.com/google-friend-connect-integration-wordpress/">Friend Connect Integration Page</a>.
Version: 0.8.1
Author: Social Mind
Author URI: http://www.socialarrow.com
*/
/*  Copyright 2008  SocialMind  (email : socialmind@gmail.com)

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
*/

define(GFCI_MEMBER_WIDGET, "mem_widget_gfci");
define(GFCI_WALL_WIDGET, "wall_widget_gfci");
define(GFCI_LOGIN_WIDGET, "login_widget_gfci");

add_action('wp_head', 'gfci_header');
add_action('admin_menu', 'gfc_plugin_menu');
add_action('plugins_loaded', 'myGFCI_init');

function gfci_header() {
	?>
	<script type="text/javascript" src="http://www.google.com/friendconnect/script/friendconnect.js"></script>
	<?php
}

function gfci_sit() {
  $gfci_val = get_option( gfci_side_id );
  echo $gfci_val;
}

function gfci_wid() {
	$gfci_val2 = get_option( gfci_widg_wid );
	echo $gfci_val2;
}

function gfc_plugin_menu() {
  add_options_page('GFC Integration', 'GFC Integration', 8, __FILE__, 'gfci_options_page');
}

function gfci_options_page() {
    $gfci_opt = 'gfci_side_id';
    $hidden_field_name = 'gfci_submit_hidden';
    $gfci_site_id = 'gfci_side_id';
    $opt_val = get_option( $gfci_opt );
    if( $_POST[ $hidden_field_name ] == 'Y' ) {
        $opt_val = $_POST[ $gfci_site_id ];
	update_option( $gfci_opt, $opt_val );
?>
<div class="updated"><p><strong><?php _e('Options saved.', 'gfci_trans_domain' ); ?></strong></p></div>
<?php

    }
    echo '<div class="wrap">';
    echo "<h2>" . __( 'Google Friend Connect Integration Options', 'gfci_trans_domain' ) . "</h2>";
    
    ?>

<form name="form1" method="post" action="<?php echo str_replace( '%7E', '~', $_SERVER['REQUEST_URI']); ?>">
<input type="hidden" name="<?php echo $hidden_field_name; ?>" value="Y">

<p><?php _e("Friend Connect SiteId:", 'gfci_trans_domain' ); ?> 
<input type="text" name="<?php echo $gfci_site_id; ?>" value="<?php echo $opt_val; ?>" size="20">
</p>
<p>After entering your Site Id number, go to the widgets page to add and setup your Friend Connect Gadgets.</p><hr />

<p class="submit">
<input type="submit" name="Submit" value="<?php _e('Update Options', 'gfci_trans_domain' ) ?>" />
</p>

</form>
</div>

<?php
 
}

function GFCIWidget_Members($args) {
	$options = get_option(GFCI_MEMBER_WIDGET);
	$gadget_wid = $options['gadget_wid'];
	$gadget_hei = $options['gadget_hei'];
	$endcap_bkgd = $options['endcap_bkgd'];
	$endcap_text = $options['endcap_text'];
	$endcap_links = $options['endcap_links'];
	$content_bkgd = $options['content_bkgd'];
	$content_text = $options['content_text'];
	$content_text2 = $options['content_text2'];
	$content_links = $options['content_links'];
	$content_links2 = $options['content_links2'];
	$content_hlines = $options['content_hlines'];
	$alt_bkgd = $options['alt_bkgd'];
	$gfci_border = $options['gfci_border'];
  extract($args);
  echo $before_widget;
  echo $before_title;
  echo $after_title;
?>

<div id="gfci-member" style="width:<?php echo $gadget_wid; ?>px;border:1px solid #cccccc;"></div>
<script type="text/javascript">
var skin = {};
skin['HEIGHT'] = '<?php echo $gadget_hei; ?>';
skin['BORDER_COLOR'] = '<?php echo $gfci_border; ?>';
skin['ENDCAP_BG_COLOR'] = '<?php echo $endcap_bkgd; ?>';
skin['ENDCAP_TEXT_COLOR'] = '<?php echo $endcap_text; ?>';
skin['ENDCAP_LINK_COLOR'] = '<?php echo $endcap_links; ?>';
skin['ALTERNATE_BG_COLOR'] = '<?php echo $alt_bkgd; ?>';
skin['CONTENT_BG_COLOR'] = '<?php echo $content_bkgd; ?>';
skin['CONTENT_LINK_COLOR'] = '<?php echo $content_links; ?>';
skin['CONTENT_TEXT_COLOR'] = '<?php echo $content_text; ?>';
skin['CONTENT_SECONDARY_LINK_COLOR'] = '<?php echo $content_links2; ?>';
skin['CONTENT_SECONDARY_TEXT_COLOR'] = '<?php echo $content_text2; ?>';
skin['CONTENT_HEADLINE_COLOR'] = '<?php echo $content_hlines; ?>';
google.friendconnect.container.setParentUrl('/' /* location of rpc_relay.html and canvas.html */);
google.friendconnect.container.renderMembersGadget(
 { id: 'gfci-member',
   site: '<?php echo gfci_sit(); ?>'},
  skin);
</script>
<?php
  echo $after_widget;
}

function GFCIWidget_Wall($args) {
	$options = get_option(GFCI_WALL_WIDGET);
	$gadget_wid = $options['gadget_wid'];
	$gadget_hei = $options['gadget_hei'];
	$endcap_bkgd = $options['endcap_bkgd'];
	$endcap_text = $options['endcap_text'];
	$endcap_links = $options['endcap_links'];
	$content_bkgd = $options['content_bkgd'];
	$content_text = $options['content_text'];
	$content_text2 = $options['content_text2'];
	$content_links = $options['content_links'];
	$content_links2 = $options['content_links2'];
	$content_hlines = $options['content_hlines'];
	$alt_bkgd = $options['alt_bkgd'];
	$gfci_border = $options['gfci_border'];
	$header_text = $options['header_text'];
	$com_text = $options['com_text'];
	$video_links = $options['video_links'];
	$anon_post = $options['anon_post'];
  extract($args);
  echo $before_widget;
  echo $before_title;
  echo $after_title;
?>
<div id="gfci-wall" style="width:<?php echo $gadget_wid; ?>px;border:1px solid #cccccc;"></div>
<script type="text/javascript">
var skin = {};
skin['BORDER_COLOR'] = '<?php echo $gfci_border; ?>';
skin['ENDCAP_BG_COLOR'] = '<?php echo $endcap_bkgd; ?>';
skin['ENDCAP_TEXT_COLOR'] = '<?php echo $endcap_text; ?>';
skin['ENDCAP_LINK_COLOR'] = '<?php echo $endcap_links; ?>';
skin['ALTERNATE_BG_COLOR'] = '<?php echo $alt_bkgd; ?>';
skin['CONTENT_BG_COLOR'] = '<?php echo $content_bkgd; ?>';
skin['CONTENT_LINK_COLOR'] = '<?php echo $content_links; ?>';
skin['CONTENT_TEXT_COLOR'] = '<?php echo $content_text; ?>';
skin['CONTENT_SECONDARY_LINK_COLOR'] = '<?php echo $content_links2; ?>';
skin['CONTENT_SECONDARY_TEXT_COLOR'] = '<?php echo $content_text2; ?>';
skin['CONTENT_HEADLINE_COLOR'] = '<?php echo $content_hlines; ?>';
skin['DEFAULT_COMMENT_TEXT'] = '<?php echo $com_text; ?>';
skin['HEADER_TEXT'] = '<?php echo $header_text; ?>';
skin['POSTS_PER_PAGE'] = '<?php echo $gadget_hei; ?>';
google.friendconnect.container.setParentUrl('/' /* location of rpc_relay.html and canvas.html */);
google.friendconnect.container.renderWallGadget(
 { id: 'gfci-wall',
   site: '<?php echo gfci_sit(); ?>',
   'view-params':{"scope":"SITE","allowAnonymousPost":"<?php echo $anon_post; ?>","features":"<?php echo $video_links; ?>comment"}
},
  skin);
</script>
<?php
  echo $after_widget;
}

function GFCIWidget_Login($args) {
$options = get_option(GFCI_LOGIN_WIDGET);
	$gadget_wid = $options['gadget_wid'];
	$gadget_hei = $options['gadget_hei'];
	$content_bkgd = $options['content_bkgd'];
	$content_text = $options['content_text'];
	$content_links = $options['content_links'];
	$gfci_border = $options['gfci_border'];
extract($args);
  echo $before_widget;
  echo $before_title;
  echo $after_title;
?>
<div id="gfci-login" style="width:<?php echo $gadget_wid; ?>;border:1px solid #<?php echo $gfci_border; ?>;"></div>
<script type="text/javascript">
var skin = {};
skin['BORDER_COLOR'] = '#333333';
skin['ENDCAP_BG_COLOR'] = '#e0ecff';
skin['ENDCAP_TEXT_COLOR'] = '#333333';
skin['ENDCAP_LINK_COLOR'] = '#0000cc';
skin['ALTERNATE_BG_COLOR'] = '#ffffff';
skin['CONTENT_BG_COLOR'] = '<?php echo $content_bkgd; ?>';
skin['CONTENT_LINK_COLOR'] = '<?php echo $content_links; ?>';
skin['CONTENT_TEXT_COLOR'] = '<?php echo $content_text; ?>';
skin['CONTENT_SECONDARY_LINK_COLOR'] = '#7777cc';
skin['CONTENT_SECONDARY_TEXT_COLOR'] = '#666666';
skin['CONTENT_HEADLINE_COLOR'] = '#333333';
skin['ALIGNMENT'] = '<?php echo $gadget_hei; ?>';
google.friendconnect.container.setParentUrl('/' /* location of rpc_relay.html and canvas.html */);
google.friendconnect.container.renderSignInGadget(
 { id: 'gfci-login',
   site: '<?php echo gfci_sit(); ?>'},
  skin);
</script>
<?php
  echo $after_widget;
}

function myGFCI_init() {
  register_sidebar_widget(__('GFC Member Gadget'), 'GFCIWidget_Members');
  register_sidebar_widget(__('GFC Wall Gadget'), 'GFCIWidget_Wall');
  register_sidebar_widget(__('GFC Login Gadget'), 'GFCIWidget_Login');
  register_widget_control(__('GFC Member Gadget'), 'widget_gfci_member_control', 420);
  register_widget_control(__('GFC Wall Gadget'), 'widget_gfci_wall_control', 420);
  register_widget_control(__('GFC Login Gadget'), 'widget_gfci_login_control', 420);
}

function widget_gfci_member_control() {
  $options = get_option(GFCI_MEMBER_WIDGET);
  if (!is_array($options)) {
    $options = array();
  }

  $widget_data = $_POST[GFCI_MEMBER_WIDGET];
  if ($widget_data['submit']) {
    $options['gadget_wid'] = $widget_data['gadget_wid'];
    $options['gadget_hei'] = $widget_data['gadget_hei'];
    $options['endcap_bkgd'] = $widget_data['endcap_bkgd'];
    $options['endcap_text'] = $widget_data['endcap_text'];
    $options['endcap_links'] = $widget_data['endcap_links'];
    $options['content_bkgd'] = $widget_data['content_bkgd'];
    $options['content_text'] = $widget_data['content_text'];
    $options['content_text2'] = $widget_data['content_text2'];
    $options['content_links'] = $widget_data['content_links'];
    $options['content_links2'] = $widget_data['content_links2'];
    $options['content_hlines'] = $widget_data['content_hlines'];
    $options['alt_bkgd'] = $widget_data['alt_bkgd'];
    $options['gfci_border'] = $widget_data['gfci_border'];

    update_option(GFCI_MEMBER_WIDGET, $options);
  }

  // Render form
  $gadget_wid = $options['gadget_wid'];
  $gadget_hei = $options['gadget_hei'];
  $endcap_bkgd = $options['endcap_bkgd'];
  $endcap_text = $options['endcap_text'];
  $endcap_links = $options['endcap_links'];
  $content_bkgd = $options['content_bkgd'];
  $content_text = $options['content_text'];
  $content_text2 = $options['content_text2'];
  $content_links = $options['content_links'];
  $content_links2 = $options['content_links2'];
  $content_hlines = $options['content_hlines'];
  $alt_bkgd = $options['alt_bkgd'];
  $gfci_border = $options['gfci_border'];
  
?>
<h3>Gadget Size (Min 200x200 pixels)</h3>
<table>
<tr>
<td><label for="<?php echo GFCI_MEMBER_WIDGET; ?>-gadget-wid">
  Width:
  </label></td>
<td><input class="widefat" 
    type="text"
    name="<?php echo GFCI_MEMBER_WIDGET; ?>[gadget_wid]" 
    id="<?php echo GFCI_MEMBER_WIDGET; ?>-gadget-wid" 
    value="<?php echo $gadget_wid; ?>"/></td>
</tr>
<tr>
<td><label for="<?php echo GFCI_MEMBER_WIDGET; ?>-gadget-hei">
  Height:
  </label></td>
<td><input class="widefat" type="text" 
    name="<?php echo GFCI_MEMBER_WIDGET; ?>[gadget_hei]" 
    id="<?php echo GFCI_MEMBER_WIDGET; ?>-gadget-hei" 
    value="<?php echo $gadget_hei; ?>"/></td>
</tr>
</table>
<h3>Color Settings</h3>
<table>
<tr>
<td>
<table>
<tr><td>Format Example:</td><td><b>FFFFFF</b></td></tr>
<tr><td><label for="<?php echo GFCI_MEMBER_WIDGET; ?>-endcap-bkgd">
Endcap Bkgd:</label></td>
<td><input class="widefat"
    name="<?php echo GFCI_MEMBER_WIDGET; ?>[endcap_bkgd]"
    type="text"
    id="<?php echo GFCI_MEMBER_WIDGET; ?>-endcap-bkgd"
    value="<?php echo $endcap_bkgd; ?>"
    size="7"/></td>
</tr>
<tr><td><label for="<?php echo GFCI_MEMBER_WIDGET; ?>-endcap-text">
Endcap Text:</label></td>
<td><input class="widefat"
    name="<?php echo GFCI_MEMBER_WIDGET; ?>[endcap_text]"
    type="text"
    id="<?php echo GFCI_MEMBER_WIDGET; ?>-endcap-text"
    value="<?php echo $endcap_text; ?>"
    size="7"/></td>
</tr>
<tr><td><label for="<?php echo GFCI_MEMBER_WIDGET; ?>-endcap-links">
Endcap Links:</label></td>
<td><input class="widefat"
    name="<?php echo GFCI_MEMBER_WIDGET; ?>[endcap_links]"
    type="text"
    id="<?php echo GFCI_MEMBER_WIDGET; ?>-endcap-links"
    value="<?php echo $endcap_links; ?>"
    size="7"/></td>
</tr>
<tr><td><label for="<?php echo GFCI_MEMBER_WIDGET; ?>-content-bkgd">
Content Bkgd:</label></td>
<td><input class="widefat"
    name="<?php echo GFCI_MEMBER_WIDGET; ?>[content_bkgd]"
    type="text"
    id="<?php echo GFCI_MEMBER_WIDGET; ?>-content-bkgd"
    value="<?php echo $content_bkgd; ?>"
    size="7"/></td>
</tr>
<tr><td><label for="<?php echo GFCI_MEMBER_WIDGET; ?>-content-text">
Content Text:</label></td>
<td><input class="widefat"
    name="<?php echo GFCI_MEMBER_WIDGET; ?>[content_text]"
    type="text"
    id="<?php echo GFCI_MEMBER_WIDGET; ?>-content-text"
    value="<?php echo $content_text; ?>"
    size="7"/></td>
</tr>
<tr><td><label for="<?php echo GFCI_MEMBER_WIDGET; ?>-content-text2">
Sec. Content Text:</label></td>
<td><input class="widefat"
    name="<?php echo GFCI_MEMBER_WIDGET; ?>[content_text2]"
    type="text"
    id="<?php echo GFCI_MEMBER_WIDGET; ?>-content-text2"
    value="<?php echo $content_text2; ?>"
    size="7"/></td>
</tr>
</table>
</td>
<td>
<table>
<tr><td><label for="<?php echo GFCI_MEMBER_WIDGET; ?>-content-links">
Content Links:</label></td>
<td><input class="widefat"
    name="<?php echo GFCI_MEMBER_WIDGET; ?>[content_links]"
    type="text"
    id="<?php echo GFCI_MEMBER_WIDGET; ?>-content-links"
    value="<?php echo $content_links; ?>"
    size="7"/></td>
</tr>
<tr><td><label for="<?php echo GFCI_MEMBER_WIDGET; ?>-content-links2">
Sec. Content Links:</label></td>
<td><input class="widefat"
    name="<?php echo GFCI_MEMBER_WIDGET; ?>[content_links2]"
    type="text"
    id="<?php echo GFCI_MEMBER_WIDGET; ?>-content-links2"
    value="<?php echo $content_links2; ?>"
    size="7"/></td>
</tr>
<tr><td><label for="<?php echo GFCI_MEMBER_WIDGET; ?>-content-hlines">
Content Headlines:</label></td>
<td><input class="widefat"
    name="<?php echo GFCI_MEMBER_WIDGET; ?>[content_hlines]"
    type="text"
    id="<?php echo GFCI_MEMBER_WIDGET; ?>-content-hlines"
    value="<?php echo $content_hlines; ?>"
    size="7"/></td>
</tr>
<tr><td><label for="<?php echo GFCI_MEMBER_WIDGET; ?>-alt-bkgd">
Alt. Background:</label></td>
<td><input class="widefat"
    name="<?php echo GFCI_MEMBER_WIDGET; ?>[alt_bkgd]"
    type="text"
    id="<?php echo GFCI_MEMBER_WIDGET; ?>-alt-bkgd"
    value="<?php echo $alt_bkgd; ?>"
    size="7"/></td>
</tr>
<tr><td><label for="<?php echo GFCI_MEMBER_WIDGET; ?>-gfci-border">
Border:</label></td>
<td><input class="widefat"
    name="<?php echo GFCI_MEMBER_WIDGET; ?>[gfci_border]"
    type="text"
    id="<?php echo GFCI_MEMBER_WIDGET; ?>-gfci-border"
    value="<?php echo $gfci_border; ?>"
    size="7"/></td>
</tr>
</table></td></tr></table>
<input type="hidden" 
  name="<?php echo GFCI_MEMBER_WIDGET; ?>[submit]" 
  value="1"/>
<?php
}

function widget_gfci_wall_control() {
  $options = get_option(GFCI_WALL_WIDGET);
  if (!is_array($options)) {
    $options = array();
  }

  $widget_data = $_POST[GFCI_WALL_WIDGET];
  if ($widget_data['submit']) {
    $options['gadget_wid'] = $widget_data['gadget_wid'];
    $options['gadget_hei'] = $widget_data['gadget_hei'];
    $options['endcap_bkgd'] = $widget_data['endcap_bkgd'];
    $options['endcap_text'] = $widget_data['endcap_text'];
    $options['endcap_links'] = $widget_data['endcap_links'];
    $options['content_bkgd'] = $widget_data['content_bkgd'];
    $options['content_text'] = $widget_data['content_text'];
    $options['content_text2'] = $widget_data['content_text2'];
    $options['content_links'] = $widget_data['content_links'];
    $options['content_links2'] = $widget_data['content_links2'];
    $options['content_hlines'] = $widget_data['content_hlines'];
    $options['alt_bkgd'] = $widget_data['alt_bkgd'];
    $options['gfci_border'] = $widget_data['gfci_border'];
    $options['header_text'] = $widget_data['header_text'];
    $options['com_text'] = $widget_data['com_text'];
    $options['video_links'] = $widget_data['video_links'];
    $options['anon_post'] = $widget_data['anon_post'];

    update_option(GFCI_WALL_WIDGET, $options);
  }

  // Render form
  $gadget_wid = $options['gadget_wid'];
  $gadget_hei = $options['gadget_hei'];
  $endcap_bkgd = $options['endcap_bkgd'];
  $endcap_text = $options['endcap_text'];
  $endcap_links = $options['endcap_links'];
  $content_bkgd = $options['content_bkgd'];
  $content_text = $options['content_text'];
  $content_text2 = $options['content_text2'];
  $content_links = $options['content_links'];
  $content_links2 = $options['content_links2'];
  $content_hlines = $options['content_hlines'];
  $alt_bkgd = $options['alt_bkgd'];
  $gfci_border = $options['gfci_border'];
  $header_text = $options['header_text'];
  $com_text = $options['com_text'];
  $video_links = $options['video_links'];
  $anon_post = $options['anon_post'];
  
?>
<h3>Wall Width and Options</h3>
<table>
<tr>
<td><label for="<?php echo GFCI_WALL_WIDGET; ?>-gadget-wid">
  Width:
  </label></td>
<td><input class="widefat" 
    type="text"
    name="<?php echo GFCI_WALL_WIDGET; ?>[gadget_wid]" 
    id="<?php echo GFCI_WALL_WIDGET; ?>-gadget-wid" 
    value="<?php echo $gadget_wid; ?>"/></td>
</tr>
<tr>
<td><label for="<?php echo GFCI_WALL_WIDGET; ?>-gadget-hei">
  Comments Per Page:
  </label></td>
<td><input class="widefat" type="text" 
    name="<?php echo GFCI_WALL_WIDGET; ?>[gadget_hei]" 
    id="<?php echo GFCI_WALL_WIDGET; ?>-gadget-hei" 
    value="<?php echo $gadget_hei; ?>"/></td>
</tr>
<tr>
<td><label for="<?php echo GFCI_WALL_WIDGET; ?>-header-text">
  Header Text:
  </label></td>
<td><input class="widefat" type="text" 
    name="<?php echo GFCI_WALL_WIDGET; ?>[header_text]" 
    id="<?php echo GFCI_WALL_WIDGET; ?>-header-text" 
    value="<?php echo $header_text; ?>"/></td>
</tr>
<tr>
<td><label for="<?php echo GFCI_WALL_WIDGET; ?>-com-text">
  Default Text:
  </label></td>
<td><input class="widefat" type="text" 
    name="<?php echo GFCI_WALL_WIDGET; ?>[com_text]" 
    id="<?php echo GFCI_WALL_WIDGET; ?>-com-text" 
    value="<?php echo $com_text; ?>"/></td>
</tr>
<tr>
<td><label for="<?php echo GFCI_WALL_WIDGET; ?>-video-links">
  Allow YouTube Videos?
  </label></td>
<td><input class="widefat" type="checkbox" 
    name="<?php echo GFCI_WALL_WIDGET; ?>[video_links]" 
    id="<?php echo GFCI_WALL_WIDGET; ?>-video-links" 
    value="video," <?php if ( "video," == $video_links ){ echo 'checked="checked"'; } ?> /> </td>
</tr>
<tr>
<td><label for="<?php echo GFCI_WALL_WIDGET; ?>-anon-post">
  Allow Anonymous Posts?
  </label></td>
<td><input class="widefat" type="checkbox" 
    name="<?php echo GFCI_WALL_WIDGET; ?>[anon_post]" 
    id="<?php echo GFCI_WALL_WIDGET; ?>-anon-post" 
    value="true" <?php if ( "true" == $anon_post ){ echo 'checked="checked"'; } ?> /> </td>
</tr>
</table>
<h3>Wall Color Settings</h3>
<table>
<tr>
<td>
<table>
<tr><td>Format Example:</td><td><b>FFFFFF</b></td></tr>
<tr><td><label for="<?php echo GFCI_WALL_WIDGET; ?>-endcap-bkgd">
Endcap Bkgd:</label></td>
<td><input class="widefat"
    name="<?php echo GFCI_WALL_WIDGET; ?>[endcap_bkgd]"
    type="text"
    id="<?php echo GFCI_WALL_WIDGET; ?>-endcap-bkgd"
    value="<?php echo $endcap_bkgd; ?>"
    size="7"/></td>
</tr>
<tr><td><label for="<?php echo GFCI_WALL_WIDGET; ?>-endcap-text">
Endcap Text:</label></td>
<td><input class="widefat"
    name="<?php echo GFCI_WALL_WIDGET; ?>[endcap_text]"
    type="text"
    id="<?php echo GFCI_WALL_WIDGET; ?>-endcap-text"
    value="<?php echo $endcap_text; ?>"
    size="7"/></td>
</tr>
<tr><td><label for="<?php echo GFCI_WALL_WIDGET; ?>-endcap-links">
Endcap Links:</label></td>
<td><input class="widefat"
    name="<?php echo GFCI_WALL_WIDGET; ?>[endcap_links]"
    type="text"
    id="<?php echo GFCI_WALL_WIDGET; ?>-endcap-links"
    value="<?php echo $endcap_links; ?>"
    size="7"/></td>
</tr>
<tr><td><label for="<?php echo GFCI_WALL_WIDGET; ?>-content-bkgd">
Content Bkgd:</label></td>
<td><input class="widefat"
    name="<?php echo GFCI_WALL_WIDGET; ?>[content_bkgd]"
    type="text"
    id="<?php echo GFCI_WALL_WIDGET; ?>-content-bkgd"
    value="<?php echo $content_bkgd; ?>"
    size="7"/></td>
</tr>
<tr><td><label for="<?php echo GFCI_WALL_WIDGET; ?>-content-text">
Content Text:</label></td>
<td><input class="widefat"
    name="<?php echo GFCI_WALL_WIDGET; ?>[content_text]"
    type="text"
    id="<?php echo GFCI_WALL_WIDGET; ?>-content-text"
    value="<?php echo $content_text; ?>"
    size="7"/></td>
</tr>
<tr><td><label for="<?php echo GFCI_WALL_WIDGET; ?>-content-text2">
Sec. Content Text:</label></td>
<td><input class="widefat"
    name="<?php echo GFCI_WALL_WIDGET; ?>[content_text2]"
    type="text"
    id="<?php echo GFCI_WALL_WIDGET; ?>-content-text2"
    value="<?php echo $content_text2; ?>"
    size="7"/></td>
</tr>
</table>
</td>
<td>
<table>
<tr><td><label for="<?php echo GFCI_WALL_WIDGET; ?>-content-links">
Content Links:</label></td>
<td><input class="widefat"
    name="<?php echo GFCI_WALL_WIDGET; ?>[content_links]"
    type="text"
    id="<?php echo GFCI_WALL_WIDGET; ?>-content-links"
    value="<?php echo $content_links; ?>"
    size="7"/></td>
</tr>
<tr><td><label for="<?php echo GFCI_WALL_WIDGET; ?>-content-links2">
Sec. Content Links:</label></td>
<td><input class="widefat"
    name="<?php echo GFCI_WALL_WIDGET; ?>[content_links2]"
    type="text"
    id="<?php echo GFCI_WALL_WIDGET; ?>-content-links2"
    value="<?php echo $content_links2; ?>"
    size="7"/></td>
</tr>
<tr><td><label for="<?php echo GFCI_WALL_WIDGET; ?>-content-hlines">
Content Headlines:</label></td>
<td><input class="widefat"
    name="<?php echo GFCI_WALL_WIDGET; ?>[content_hlines]"
    type="text"
    id="<?php echo GFCI_WALL_WIDGET; ?>-content-hlines"
    value="<?php echo $content_hlines; ?>"
    size="7"/></td>
</tr>
<tr><td><label for="<?php echo GFCI_WALL_WIDGET; ?>-alt-bkgd">
Alt. Background:</label></td>
<td><input class="widefat"
    name="<?php echo GFCI_WALL_WIDGET; ?>[alt_bkgd]"
    type="text"
    id="<?php echo GFCI_WALL_WIDGET; ?>-alt-bkgd"
    value="<?php echo $alt_bkgd; ?>"
    size="7"/></td>
</tr>
<tr><td><label for="<?php echo GFCI_WALL_WIDGET; ?>-gfci-border">
Border:</label></td>
<td><input class="widefat"
    name="<?php echo GFCI_WALL_WIDGET; ?>[gfci_border]"
    type="text"
    id="<?php echo GFCI_WALL_WIDGET; ?>-gfci-border"
    value="<?php echo $gfci_border; ?>"
    size="7"/></td>
</tr>
</table></td></tr></table>
<input type="hidden" 
  name="<?php echo GFCI_WALL_WIDGET; ?>[submit]" 
  value="1"/>
<?php
}

function widget_gfci_login_control() {
  $options = get_option(GFCI_LOGIN_WIDGET);
  if (!is_array($options)) {
    $options = array();
  }

  $widget_data = $_POST[GFCI_LOGIN_WIDGET];
  if ($widget_data['submit']) {
    $options['gadget_wid'] = $widget_data['gadget_wid'];
    $options['gadget_hei'] = $widget_data['gadget_hei'];
    $options['content_bkgd'] = $widget_data['content_bkgd'];
    $options['content_text'] = $widget_data['content_text'];
    $options['content_links'] = $widget_data['content_links'];
    $options['gfci_border'] = $widget_data['gfci_border'];

    update_option(GFCI_LOGIN_WIDGET, $options);
  }

  // Render form
  $gadget_wid = $options['gadget_wid'];
  $gadget_hei = $options['gadget_hei'];
  $content_bkgd = $options['content_bkgd'];
  $content_text = $options['content_text'];
  $content_links = $options['content_links'];
  $gfci_border = $options['gfci_border'];
  
?>
<table>
<tr>
<td>
<h3>Width / Alignment</h3>
<table>
<tr>
<td><label for="<?php echo GFCI_LOGIN_WIDGET; ?>-gadget-wid">
  Width:
  </label></td>
<td><input class="widefat" 
    type="text"
    name="<?php echo GFCI_LOGIN_WIDGET; ?>[gadget_wid]" 
    id="<?php echo GFCI_LOGIN_WIDGET; ?>-gadget-wid" 
    value="<?php echo $gadget_wid; ?>"/></td>
</tr>
<tr>
<td><label for="<?php echo GFCI_LOGIN_WIDGET; ?>-gadget-hei">
  <b>left</b>, <b>right</b>, or <b>center</b>:
  </label></td>
<td><input class="widefat" type="text" 
    name="<?php echo GFCI_LOGIN_WIDGET; ?>[gadget_hei]" 
    id="<?php echo GFCI_LOGIN_WIDGET; ?>-gadget-hei" 
    value="<?php echo $gadget_hei; ?>"/></td>
</tr>
</table>
</td>
<td>
<h3>Color Settings</h3>
<table>
<tr><td>Format Example:</td><td><b>FFFFFF</b></td></tr>
<tr><td><label for="<?php echo GFCI_LOGIN_WIDGET; ?>-content-bkgd">
Content Bkgd:</label></td>
<td><input class="widefat"
    name="<?php echo GFCI_LOGIN_WIDGET; ?>[content_bkgd]"
    type="text"
    id="<?php echo GFCI_LOGIN_WIDGET; ?>-content-bkgd"
    value="<?php echo $content_bkgd; ?>"
    size="7"/></td>
</tr>
<tr><td><label for="<?php echo GFCI_LOGIN_WIDGET; ?>-content-text">
Content Text:</label></td>
<td><input class="widefat"
    name="<?php echo GFCI_LOGIN_WIDGET; ?>[content_text]"
    type="text"
    id="<?php echo GFCI_LOGIN_WIDGET; ?>-content-text"
    value="<?php echo $content_text; ?>"
    size="7"/></td>
</tr>
<tr><td><label for="<?php echo GFCI_LOGIN_WIDGET; ?>-content-links">
Content Links:</label></td>
<td><input class="widefat"
    name="<?php echo GFCI_LOGIN_WIDGET; ?>[content_links]"
    type="text"
    id="<?php echo GFCI_LOGIN_WIDGET; ?>-content-links"
    value="<?php echo $content_links; ?>"
    size="7"/></td>
</tr>
<tr><td><label for="<?php echo GFCI_LOGIN_WIDGET; ?>-gfci-border">
Border:</label></td>
<td><input class="widefat"
    name="<?php echo GFCI_LOGIN_WIDGET; ?>[gfci_border]"
    type="text"
    id="<?php echo GFCI_LOGIN_WIDGET ;?>-gfci-border"
    value="<?php echo $gfci_border; ?>"
    size="7"/></td>
</tr>
</table></td></tr></table>
<input type="hidden" 
  name="<?php echo GFCI_LOGIN_WIDGET; ?>[submit]" 
  value="1"/>
<?php
}

?>
